<script src='https://www.google.com/recaptcha/api.js'></script>
<div class="container-fluid">
    <div class="container sign-up">
      <div class="row">
          <div class="col-12 col-sm-8 col-md-4 col-lg-4">
              <legend class="mt-3"><strong>Create new account!</strong></legend>
              <form method="post" id="signup-form">
                <div class="form-group <?= ( isset($this->errors['username']) ? 'has-danger': '') ?>">
                 <input type="text" class="form-control <?= ( isset($this->errors['username']) ? 'form-control-danger': '') ?>" value="<?= isset($this->data['username']) ? $this->data['username']: ''?>" name="username" id="signup-username" placeholder="Username">
                 <? if ( isset($this->errors['username']) ): ?><div class="form-control-feedback"><?= $this->errors['username'] ?></div><? endif ?>
                </div>
                <div class="form-group <?= ( isset($this->errors['email']) ? 'has-danger': '') ?>">
                  <input type="email" class="form-control <?= ( isset($this->errors['email']) ? 'form-control-danger': '') ?>" value="<?= isset($this->data['email']) ? $this->data['email']: ''?>" name="email" placeholder="E-mail address">
                   <? if ( isset($this->errors['email']) ): ?><div class="form-control-feedback"><?= $this->errors['email'] ?></div><? endif ?>
                </div>
                <div class="form-group <?= ( isset($this->errors['password']) ? 'has-danger': '') ?>">
                  <input type="password" class="form-control <?= ( isset($this->errors['password']) ? 'form-control-danger': '') ?>" name="password" placeholder="Password">
                   <? if ( isset($this->errors['password']) ): ?><div class="form-control-feedback"><?= $this->errors['password'] ?></div><? endif ?>
                </div>
                <div class="form-group <?= ( isset($this->errors['password2']) ? 'has-danger': '') ?>">
                  <input type="password" class="form-control <?= ( isset($this->errors['password2']) ? 'form-control-danger': '') ?>" name="password2" placeholder="Password again">
                   <? if ( isset($this->errors['username']) ): ?><div class="form-control-feedback"><?= $this->errors['password2'] ?></div><? endif ?>
                </div>

                <div class="form-group <?= ( isset($this->errors['user_type']) ? 'has-danger': '') ?>">
                  <select name="user_type" class="form-control">
                    <option value="0">Select account type</option>
                    <option value="escort" <?= (isset($this->data['user_type']) && $this->data['user_type'] == 'escort') ? 'selected' : ''?>>Independent escort</option>
                    <option value="agency" <?= (isset($this->data['user_type']) && $this->data['user_type'] == 'agency') ? 'selected' : ''?>>Escort agency</option>
                    <option value="member" <?= (isset($this->data['user_type']) && $this->data['user_type'] == 'member') ? 'selected' : ''?>>Member</option>
                  </select>
                   <? if ( isset($this->errors['user_type']) ): ?><div class="form-control-feedback"><?= $this->errors['user_type'] ?></div><? endif ?>
                </div>
                <div class="form-group ">
                  <div class="g-recaptcha" data-sitekey="6LepoyYUAAAAACCpSCw5toi7ajR5s00d9gIKf9hr"></div>
                   <? if ( isset($this->errors['captcha']) ): ?><span class="text-danger"><?= $this->errors['captcha'] ?></span><? endif ?>
                </div> 

                <div class="form-group">
                  <label class="custom-control custom-checkbox">
                    <input type="checkbox" value="1" name="terms" class="custom-control-input" <?= $this->data['terms'] != ''  ? 'checked' : ''?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description ">I have read and agree with the &nbsp;<a target="_blank" href="<?= $this->getLink('terms') ?>"> terms &amp; conditions</a></span> 
                  </label>
                  <? if ( isset($this->errors['terms']) ): ?><span class="text-danger"><?= $this->errors['terms'] ?></span><? endif ?>
               </div>

               <div class="form-group mb-0">
                  <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="subscribe" class="custom-control-input" checked>
<!--                      --><?//= $this->data['subscribe'] != '' ? 'checked' : ''?>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description">Subscribe to newsletter</span>
                  </label>
                </div>

                <button type="submit" value="Register" class="btn my-2 btn-primary btn-lg mb-5">Create Account</button>
              </div>
            </form>
          </div>
      </div>
    </div>
  </div>